Bug 633656

Summary: QEMU doesn't pass through usb2.0 device to guest (iphone)
Product: [Fedora] Fedora Reporter: Michael Hagmann <michael.hagmann>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: amit.shah, berrange, crobinso, dwmw2, ehabkost, gcosta, hbrock, itamar, jaswinder, jforbes, knoel, ondrejj, scottt.tw, virt-maint
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-21 15:43:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
SOS Report Guest System
none
SOS Report Host System none

Description Michael Hagmann 2010-09-14 02:45:07 EDT
Description of problem:

If I attach a USB device the Guest don't recognize it.

Version-Release number of selected component (if applicable):

see sosreport

      <hostdev mode='subsystem' type='usb' managed='yes'>
        <source>
          <vendor id='0x05ac'/>
          <product id='0x1294'/>
        </source>
      </hostdev>

How reproducible:

add to Host, start Guest nothing happen

Steps to Reproduce:
1.
2.
3.
  
Actual results:

nothing happen on the Guest side

Expected results:

see the USB Device like on the Host

Additional info:

see sosreport
Comment 1 Michael Hagmann 2010-09-14 03:06:39 EDT
Created attachment 447165 [details]
SOS Report Guest System
Comment 2 Michael Hagmann 2010-09-14 03:07:42 EDT
Created attachment 447166 [details]
SOS Report Host System
Comment 3 Michael Hagmann 2010-09-14 03:08:52 EDT
both Fedora 13 Systems are update

[root@localhost tmp]# yum update
Setting up Update Process
No Packages marked for Update
[root@localhost tmp]# 


[root@h6368 tmp]# yum update
Loaded plugins: presto, refresh-packagekit
Setting up Update Process
No Packages marked for Update
[root@h6368 tmp]# 

Mike
Comment 4 Michael Hagmann 2010-09-14 03:10:55 EDT
on the guest the additonal usb are not seen:

[root@localhost tmp]# lsusb
Bus 001 Device 002: ID 0627:0001 Adomax Technology Co., Ltd 
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
[root@localhost tmp]# 


Host:

[root@h6368 tmp]# lsusb -s 002:004
Bus 002 Device 004: ID 05ac:1294 Apple, Inc. iPhone 3GS
[root@h6368 tmp]# 

Mike
Comment 5 Michael Hagmann 2010-09-15 01:57:11 EDT
Hi Cole

any hint what to do ?

thanks for Help

Mike
Comment 6 Cole Robinson 2011-03-23 20:26:51 EDT
If you are trying to attach a USB 2.0 device, qemu doesn't really support 2.0. So there isn't much to do in the short term.
Comment 7 Bug Zapper 2011-05-31 09:33:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-28 08:53:09 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Daniel Berrange 2011-06-28 09:00:44 EDT
There is USB 2 supported being introduced in QEMU upstream, which should make it into F16. Re-targetting this bug to rawhide.
Comment 10 Justin M. Forbes 2011-10-21 15:43:07 EDT
USB 2.0 passthrough is working in current F16 and Rawhide qemu packages.